<template>
  <div>
    <Echart
      :options="options"
      id="centreLeft1Chart"
      height="220px"
      width="260px"
    ></Echart>
  </div>
</template>

<script>
import Echart from '@/common/echart'
export default {
  data () {
    return {
      options: {},
    };
  },
  components: {
    Echart,
  },
  props: {
    cdata: {
      type: Object,
      default: () => ({})
    },
  },
  watch: {
    cdata: {
      handler (newData) {
        this.options = {
          series: [
            {
              type: "pie",
              radius: [40, 50],
              hoverAnimation: false, 
              itemStyle: {
                borderColor: 'gray', // 边框颜色
                borderWidth: 1      // 边框宽度
            },
              center: ["50%", "35%"],
              data: newData.seriesData,
              label: {//饼图中间文字设置
                normal: {
                    show: false,
                    position: 'center',
                    color:'#fff',
                    fontSize:'16',
                    formatter: "{d}%",
                    },
                },
            }
          ]
        }
      },
      immediate: true,
      deep: true
    }
  }
};
</script>

<style lang="scss" scoped>
</style>